## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybaseRoutine

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Routine, SQLObject, SybaseAuthorizedObject

All Known Subinterfaces:
  SybaseASABaseFunction, SybaseASABaseProcedure, SybaseASABaseRemoteProcedure, SybaseASEProcedure

All Known Implementing Classes:
  SybaseASABaseFunctionImpl, SybaseASABaseProcedureImpl, SybaseASABaseRemoteProcedureImpl, SybaseASACatalogBaseProcedure, SybaseASACatalogBaseRemoteProcedure, SybaseASACatalogBaseUserDefinedFunction, SybaseASECatalogProcedure, SybaseASEProcedureImpl, SybaseRoutineImpl

    public interface SybaseRoutine

extends Routine, SybaseAuthorizedObject

A representation of the model object 'Sybase Routine'.

See Also:
  `SybasesqlmodelPackage.getSybaseRoutine()`

Method Summary
`boolean` `isSystem()`
`void` `parseParameterDefaultValues()` Parses the source code to get parameter default values.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### parseParameterDefaultValues

    void parseParameterDefaultValues()

  Parses the source code to get parameter default values. Not intended for use by clients.

### isSystem

    boolean isSystem()